Subject: Anyone heard of this manufacturer?

From: [email-masked] (Paul Amaranth)
Date: 3 Dec 1996 22:17:58 -0500

I just bought an 8" 4 jaw chuck from Grand tool on their end of year clearance
sale.  I didn't expect much for $85, but I figured I couldn't lose much since
that's about the minimum beat-up used chucks go for around here.

I was very pleasantly surprised. Instead of being made in India or
Bangladesh, it was made by CVA in the UK. It's a really _nice_ looking
chuck.  Anyone know anything about the company and their reputation? 
I'm not actually going to be able to put it on the lathe for some time,
so actual usage tests have to wait, but I'm curious if anyone has heard
anything about them.

And even though they said they were going to ship it 'same day', it took
2 weeks to get here, but under the circumstances I'm not complaining.

-- 
Paul Amaranth          Tel: (810) 656-5975      Fax: (810) 656-6836
Aurora Group, Inc.     Rochester MI, USA    http://www.rust.net/auroragroup
[email-masked]          Consulting & Data Conversion Services